ATA_CHECK_STATUS_M(9)

NAME
ata_check_status_mmio - Read device status reg & clear interrupt

SYNOPSIS

u8 ata_check_status_mmio (struct ata_port * ap);

ARGUMENTS

ap  port where the device is

DESCRIPTION

Reads ATA taskfile status register for currently-selected device via MMIO and return its value. This also clears pending interrupts from this device

LOCKING

Inherited from caller.

AUTHOR
Jeff Garzik.